Subject: Re: [PATCH 3/5] generate-cmdlist: parse common group commands

From: Sébastien Guimmara <[email-masked]>
Date: Fri, 15 May 2015 16:40:04 +0200

On 05/14/2015 11:05 PM, Eric Sunshine wrote:
> On Thu, May 14, 2015 at 4:58 PM, Junio C Hamano <[email-masked]> wrote:
>> Sébastien Guimmara  <[email-masked]> writes:
>>> From: Eric Sunshine <[email-masked]>
>>>
>>> Parse the [common] block to create the array of group descriptions:
>>>
>>> static char *common_cmd_groups[] = {
>>>      N_("starting a working area"),
>>>      N_("working on the current change"),
>>>      N_("working with others"),
>>>      N_("examining the history and state"),
>>>      N_("growing, marking and tweaking your history"),
>>> };
>>>
>>> then map each element of common_cmds[] to a group via its index:
>>>
>>> static struct cmdname_help common_cmds[] = {
>>>      {"add", N_("Add file contents to the index"), 1},
>>>      {"branch", N_("List, create, or delete branches"), 4},
>>>      {"checkout", N_("Checkout a branch or paths to the ..."), 4},
>>>      {"clone", N_("Clone a repository into a new directory"), 0},
>>>      {"commit", N_("Record changes to the repository"), 4},
>>>      ...
>>> };
>>>
>>> so that 'git help' can print those commands grouped by theme.
>>>
>>> Only commands tagged with an attribute from [common] are emitted to
>>> common_cmds[].
>>>
>>> [commit message by Sébastien Guimmara <[email-masked]>]
>>>
>>> Signed-off-by: Eric Sunshine <[email-masked]>
>>> Signed-off-by: Sébastien Guimmara <[email-masked]>
>>> ---
>>
>> I seem to be getting an empty common_cmds[] list after this step
>> (with GNU Awk 4.0.1, ICIM).
>
> Indeed. I haven't had a chance to look at this version of the series
> yet, but a quick glance shows that this is because patch 2/5 uses
> "common-" as a prefix rather than as a standalone tag. That is, lines
> in patch 2/5 like this:
>
>      git-add  mainporcelain  common-worktree
>
> should be:
>
>      git-add  mainporcelain  common worktree
>
> as proposed here[1]. And, then patch 4/5 should drop the standalone
> "common" tag rather than the "common-" prefix.
>
> [1]: http://article.gmane.org/gmane.comp.version-control.git/268756
>

Indeed, I misread your description. Thanks for pointing that out,
I will correct this.